    /*********************************************************************\
    *  Copyright (c) 1991 by Wen-King Su (wen-king@vlsi.cs.caltech.edu)   *
    *                                                                     *
    *  You may copy or modify this file in any manner you wish, provided  *
    *  that this notice is always included, and that you hold the author  *
    *  harmless for any loss or damage resulting from the installation or *
    *  use of this software.                                              *
    \*********************************************************************/

#include <stdio.h>
#include "client_def.h"

main(argc,argv,envp)
    int argc;
    char **argv,**envp;
{
    UBUF *ub;

    if(argc == 1)	/* no arg supplied, get version string of server */
    {
	env_client();
	ub = client_interact(CC_VERSION,0L, 0,NULLP, 0,NULLP);
	printf("FSP version: %s\n",ub->buf);
	client_done();

    } else
    {
	printf("Local FSP version: %s\n",VERSION_STR);
    }

    exit(0);
}
